package gov.va.vinci.dart.db;

import gov.va.vinci.dart.common.exception.ObjectNotFoundException;
import gov.va.vinci.dart.biz.Participant;

public interface ParticipantDAO {

	void save(Participant participant);
	void delete(Participant participant);
	Participant findById(final int participantId);
	Participant find(final int requestId, final int personId, final int locationId);
	Participant findPrincipalInvestigator(final int requestId, final int locationId) throws ObjectNotFoundException;
}
